## robocode
Class _AdvancedRobot

    java.lang.Object
      robocode._Robot
          robocode.Robot
              robocode._AdvancedRobot

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  _AdvancedRadiansRobot

    public class _AdvancedRobot

extends Robot

This class is used by the system, as well as being a placeholder for all deprecated (meaning, you should not use them) calls for AdvancedRobot.

You should create a `AdvancedRobot` instead.

There is no guarantee that this class will exist in future versions of Robocode.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  `AdvancedRobot`

Field Summary

Fields inherited from class robocode.Robot
`out`

Constructor Summary
`protected` `_AdvancedRobot()`

Method Summary
`void` `endTurn()` Deprecated. Use `execute` instead.
`double` `getGunHeadingDegrees()` Deprecated. Use `getGunHeading` instead.
`double` `getHeadingDegrees()` Deprecated. Use `getHeading` instead.
`int` `getMaxWaitCount()` Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.
`double` `getRadarHeadingDegrees()` Deprecated. Use `getRadarHeading` instead.
`int` `getWaitCount()` Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.
`void` `setTurnGunLeftDegrees(double degrees)` Deprecated. Use `setTurnGunLeft` instead.
`void` `setTurnGunRightDegrees(double degrees)` Deprecated. Use `setTurnGunRight` instead.
`void` `setTurnLeftDegrees(double degrees)` Deprecated. Use `setTurnLeft` instead.
`void` `setTurnRadarLeftDegrees(double degrees)` Deprecated. Use `setTurnRadarLeft` instead.
`void` `setTurnRadarRightDegrees(double degrees)` Deprecated. Use `setTurnRadarRight` instead.
`void` `setTurnRightDegrees(double degrees)` Deprecated. Use `setTurnRight` instead.
`void` `turnGunLeftDegrees(double degrees)` Deprecated. Use `turnGunLeft` instead.
`void` `turnGunRightDegrees(double degrees)` Deprecated. Use `turnGunRight` instead.
`void` `turnLeftDegrees(double degrees)` Deprecated. Use `turnLeft` instead.
`void` `turnRadarLeftDegrees(double degrees)` Deprecated. Use `turnRadarLeft` instead.
`void` `turnRadarRightDegrees(double degrees)` Deprecated. Use `turnRadarRight` instead.
`void` `turnRightDegrees(double degrees)` Deprecated. Use `turnRight` instead.

Methods inherited from class robocode.Robot

`ahead, back, doNothing, finalize, fire, fireBullet, getBattleFieldHeight, getBattleFieldWidth, getEnergy, getGunCoolingRate, getGunHeading, getGunHeat, getHeading, getHeight, getName, getNumRounds, getOthers, getRadarHeading, getRoundNum, getTime, getVelocity, getWidth, getX, getY, onBulletHit, onBulletHitBullet, onBulletMissed, onDeath, onHitByBullet, onHitRobot, onHitWall, onPaint, onRobotDeath, onScannedRobot, onWin, resume, run, scan, setAdjustGunForRobotTurn, setAdjustRadarForGunTurn, setAdjustRadarForRobotTurn, setAllColors, setBodyColor, setBulletColor, setColors, setColors, setGunColor, setRadarColor, setScanColor, stop, stop, turnGunLeft, turnGunRight, turnLeft, turnRadarLeft, turnRadarRight, turnRight`

Methods inherited from class robocode._Robot
`getBattleNum, getGunCharge, getGunImageName, getLife, getNumBattles, getRadarImageName, getRobotImageName, setGunImageName, setInterruptible, setPeer, setRadarImageName, setRobotImageName, uninitializedException`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### _AdvancedRobot

    protected _AdvancedRobot()

Method Detail

### setTurnGunLeftDegrees

    @Deprecated
    public void setTurnGunLeftDegrees(double degrees)

  Deprecated. Use `setTurnGunLeft` instead.

### setTurnGunRightDegrees

    @Deprecated
    public void setTurnGunRightDegrees(double degrees)

  Deprecated. Use `setTurnGunRight` instead.

### turnRadarRightDegrees

    @Deprecated
    public void turnRadarRightDegrees(double degrees)

  Deprecated. Use `turnRadarRight` instead.

### setTurnRightDegrees

    @Deprecated
    public void setTurnRightDegrees(double degrees)

  Deprecated. Use `setTurnRight` instead.

### setTurnRadarLeftDegrees

    @Deprecated
    public void setTurnRadarLeftDegrees(double degrees)

  Deprecated. Use `setTurnRadarLeft` instead.

### setTurnLeftDegrees

    @Deprecated
    public void setTurnLeftDegrees(double degrees)

  Deprecated. Use `setTurnLeft` instead.

### getHeadingDegrees

    @Deprecated
    public double getHeadingDegrees()

  Deprecated. Use `getHeading` instead.

### turnLeftDegrees

    @Deprecated
    public void turnLeftDegrees(double degrees)

  Deprecated. Use `turnLeft` instead.

### turnRightDegrees

    @Deprecated
    public void turnRightDegrees(double degrees)

  Deprecated. Use `turnRight` instead.

### endTurn

    @Deprecated
    public void endTurn()

  Deprecated. Use `execute` instead.

### getGunHeadingDegrees

    @Deprecated
    public double getGunHeadingDegrees()

  Deprecated. Use `getGunHeading` instead.

### getRadarHeadingDegrees

    @Deprecated
    public double getRadarHeadingDegrees()

  Deprecated. Use `getRadarHeading` instead.

### getWaitCount

    @Deprecated
    public int getWaitCount()

  Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.

### setTurnRadarRightDegrees

    @Deprecated
    public void setTurnRadarRightDegrees(double degrees)

  Deprecated. Use `setTurnRadarRight` instead.

### turnGunLeftDegrees

    @Deprecated
    public void turnGunLeftDegrees(double degrees)

  Deprecated. Use `turnGunLeft` instead.

### turnGunRightDegrees

    @Deprecated
    public void turnGunRightDegrees(double degrees)

  Deprecated. Use `turnGunRight` instead.

### turnRadarLeftDegrees

    @Deprecated
    public void turnRadarLeftDegrees(double degrees)

  Deprecated. Use `turnRadarLeft` instead.

### getMaxWaitCount

    @Deprecated
    public int getMaxWaitCount()

  Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.